label: _t(AB_buttons_label)
position: 2
previewHeight: 100px
actions:
  button:
    label: _t(AB_buttons_action_button_label)
    description: _t(AB_buttons_action_button_description)
    properties:
      text:
        label: _t(AB_buttons_action_button_text_label)
        value: _t(AB_buttons_action_button_text_default)
        default: ''
        type: text
      link:
        label: _t(AB_buttons_action_button_link_label)
        value: https://yeswiki.net
        hint: _t(AB_buttons_action_button_link_hint)
        type: page-list
        required: true
      title:
        label: _t(AB_buttons_action_button_title_label)
        advanced: true
        type: text
      icon:
        label: _t(AB_buttons_action_button_icon_label)
        type: icon
      class:
        label: _t(AB_buttons_action_button_class_label)
        type: class
        subproperties:
          color:
            label: _t(AB_buttons_action_button_color_label)
            type: list
            value: "btn-primary"
            options:
              btn-default: _t(AB_buttons_action_button_color_default)
              btn-primary: _t(AB_buttons_action_button_color_primary)
              btn-secondary-1: _t(AB_buttons_action_button_color_secondary1)
              btn-secondary-2: _t(AB_buttons_action_button_color_secondary2)
              btn-success: _t(AB_buttons_action_button_color_success)
              btn-info: _t(AB_buttons_action_button_color_info)
              btn-warning: _t(AB_buttons_action_button_color_warning)
              btn-danger: _t(AB_buttons_action_button_color_danger)
              btn-link: _t(AB_buttons_action_button_color_link)
          size:
            label: _t(AB_buttons_action_button_size_label)
            advanced: true
            type: list
            options:
              '': _t(AB_buttons_action_button_size_standard)
              btn-xs: _t(AB_buttons_action_button_size_small)
              btn-sm: _t(AB_buttons_action_button_size_medium)
              btn-lg: _t(AB_buttons_action_button_size_big)
          modal:
            label: _t(AB_buttons_action_button_modal_label)
            hint: _t(AB_buttons_action_button_modal_hint)
            type: list
            advanced: true
            options:
              modalbox: _t(AB_buttons_action_button_modal_modalbox)
              modalbox-hover: _t(AB_buttons_action_button_modal_modalbox_hover)
          pull:
            label: _t(AB_buttons_action_button_pull_label)
            advanced: true
            type: list
            options:
#             pull-left: _t(AB_buttons_action_button_pull_left) idée que les gens puissent choisir cette option
              pull-right: _t(AB_buttons_action_button_pull_right)
              btn-block: _t(AB_buttons_action_button_pull_block)
          new-window:
            label: _t(AB_buttons_action_button_new_window_label)
            advanced: true
            type: list
            options:
              new-window: _t(AB_buttons_action_button_new_window_yes)
      hideifnoaccess:
        advanced: true
        label: _t(AB_buttons_action_button_hideifnoaccess_label)
        type: checkbox
        default: "false"
      nobtn:
        advanced: true
        label: _t(AB_buttons_action_button_nobtn_label)
        type: checkbox
        default: "0"
        checkedvalue: 1
        uncheckedvalue: 0
